// Classe lista: listc.h
#ifndef LISTC_H
#define LISTC_H
class list {
    list *next; // private
    static list *base;                       // Base della lista, statica
  protected :
    virtual int compare (const void *el) = 0; // Virtuale pura
    list *Next () { return next; };           // Inline
    list *ElSearch (const void *el);          // Esegue la ricerca vera e propria
  public :
    list () {next = base; base = this;};      // Costruttore Inline - aggiunge alla lista
    friend list *Search (const void *el);    // Metodo pubblico STATICO
};
#endif

